package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"github.com/gin-gonic/gin"
)

type AiProviderRouter struct{}

func (s *AiProviderRouter) InitAiProviderRouter(Router *gin.RouterGroup) {
	aiProviderRouter := Router.Group("aiProvider")
	aiProviderApi := v1.ApiGroupApp.AppApiGroup.AiProviderApi
	{
		aiProviderRouter.POST("createAiProvider", aiProviderApi.CreateAiProvider)
		aiProviderRouter.DELETE("deleteAiProvider", aiProviderApi.DeleteAiProvider)
		aiProviderRouter.PUT("updateAiProvider", aiProviderApi.UpdateAiProvider)
		aiProviderRouter.GET("findAiProvider", aiProviderApi.FindAiProvider)
		aiProviderRouter.GET("getAiProviderList", aiProviderApi.GetAiProviderList)
	}
}
